Tokens

Token Controller

Search Tokens

get

Retrieve the list of payment tokens based on filter criteria. Enabling multi-merchant support, the search includes tokens across all related merchants.

Query parameters
token-idstringOptional

A unique identifier for the token. Used to search for a specific token.

merchant-legacy-token-idstringOptional

Merchant-provided identifier. Used to retrieve the token associated with this legacy ID.

updated-start-datestringOptional

Filters tokens updated after this date/time. Used to define the start of a date range.

updated-end-datestringOptional

Filters tokens updated before this date/time. Used with updated-start-date to define a date range.

date-filterstring · enumOptional

Preset date filters. Use custom_range to specify custom start and end dates.

Possible values:
date-formatstring · enumOptional

Specifies the format of the date values. Required if updated-start-date and updated-end-date are provided.

Possible values:
pagestringOptional

Page number for paginated results.

page-sizestringOptional

Number of results per page.

isDescendingstring · enumOptional

Indicates whether results should be listed in descending order.

Possible values:
Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

Success

payloadTypestringOptional

Type of payload returned in the response.

Example: TokenResponses
get
/rest/v2/tokens

Create a Token

post

Create and returns a reusable payment token for a customer.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
avs-addressstringOptional

Street address used for AVS (Address Verification Service).

Example: 123 example Street
avs-zipstringOptional

ZIP code used for AVS verification.

Example: 85284
cardstringOptional

Full card number to be tokenized.

Example: 4111111111111111
card-typestring · enumRequired

Type of card. For example, VISA, MasterCard.

Example: VISAPossible values:
cscstringOptional

Card Security Code.

Example: 999
customer-keystringOptional

Unique identifier for the customer associated with the token.

Example: string
defaultbooleanOptional

Indicates whether this token should be marked as the default for the customer.

Example: false
descriptionstringOptional

Optional description or label for the token.

Example: joint acct
encrypted-track-datastringOptional

Encrypted magnetic stripe data, if applicable.

Example: string
exp-datestringRequired

Card expiration date in MMYY format.

Example: 0932
last-four-digitsstringOptional

Last four digits of the card number used for display/reference.

Example: 1234
require-avsstringOptional

Indicates whether AVS validation is required (true or false).

Example: false
require-card-inquirystringOptional

Indicates whether a card inquiry should be performed (true or false).

Example: true
statusstringOptional

Initial status of the token. For example, Active.

Example: Active
track-formatstring · enumOptional

Format of the track data. For example, TRACK2.

Example: TRACK2Possible values:
track2-datastringOptional

Raw Track 2 data from the card, if applicable.

Example: string
Responses
chevron-right
200

Successful Token Creation

payloadTypestringOptional

Type of payload returned in the response.

Example: TokenResponse
post
/rest/v2/tokens

Get a Token

get

Retrieve the details of a specific payment token as per token ID.

Path parameters
token-idstringRequired

A unique identifier for the token. Used to search for a specific token.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

Success

payloadTypestringOptional

Type of payload returned in the response.

Example: TokenResponse
get
/rest/v2/tokens/{token-id}

Update a Token

put

Update the details of an existing payment token for a customer using specific token ID.

Path parameters
tokenIdstringRequired

Unique identifier for the token to update.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
avs-addressstringOptional

Updated street address used for AVS (Address Verification Service).

Example: 123 example Street
avs-zipstringOptional

Updated ZIP code used for AVS verification.

Example: 85284
defaultbooleanOptional

Indicates whether this token should be marked as the default for the customer.

Example: false
descriptionstringOptional

Updated description or label for the token. For example, account type or purpose.

Example: joint acct
Responses
chevron-right
200

Successful Token Update

payloadTypestringOptional

Type of payload returned in the response.

Example: TokenResponse
put
/rest/v2/tokens/{token-id}

Delete a Token

delete

Delete the existing payment token for a customer using specific token ID.

Path parameters
token-idstringRequired

A unique identifier for the token. Used to delete a specific token.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

Success

payloadTypestringOptional

Type of payload returned in the response.

Example: TokenResponse
delete
/rest/v2/tokens/{token-id}

Last updated

Was this helpful?